#
# Example 18-1
# A simple URL domain.
#

Url_PrefixInstall /simple [list SimpleDomain /simple]

proc SimpleDomain {prefix sock suffix} {
	upvar #0 Httpd$sock data

	# Generate page header

	set html "<title>A simple page</title>\n"
	append html "<h1>$prefix$suffix</h1>\n"
	append html "<h1>Date and Time</h1>\n"
	append html [clock format [clock seconds]]
	# Display query data

	if {[info exist data(query)]} {
		append html "<h1>Query Data</h1>\n"
		append html "<table>\n"
		foreach {name value} [Url_DecodeQuery $data(query)] {
			append html "<tr><td>$name</td>\n"
			append html "<td>$value</td></tr>\n"
		}
		append html "</table>\n"
	}
	Httpd_ReturnData $sock text/html $html
}


